package com.qmth.exam.reserve.bean.apply;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.bean.course.CourseVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class TicketInfo implements IModel {

    private static final long serialVersionUID = -3123736735932690992L;

    @ApiModelProperty(value = "预约记录ID")
    private Long applyId;

    @JsonIgnore
    @ApiModelProperty(value = "是否已取消预约", hidden = true)
    private Boolean cancel;

    @ApiModelProperty(value = "准考证号码")
    private String ticketNumber;

    @ApiModelProperty(value = "座位号")
    private String seatNumber;

    @ApiModelProperty(value = "考生ID")
    private Long studentId;

    @ApiModelProperty(value = "考生姓名")
    private String studentName;

    @ApiModelProperty(value = "考生学号")
    private String studentCode;

    @ApiModelProperty(value = "考生证件号")
    private String identityNumber;

    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "考生头像相对路径")
    private String photoPath;

    @ApiModelProperty(value = "预约任务ID")
    private Long applyTaskId;

    @ApiModelProperty(value = "预约时段ID")
    private Long timePeriodId;

    @ApiModelProperty(value = "考试预约的开始时间")
    private Long timePeriodStart;

    @ApiModelProperty(value = "考试预约的结束时间")
    private Long timePeriodEnd;

    @ApiModelProperty(value = "考点ID")
    private Long examSiteId;

    @ApiModelProperty(value = "考点名称")
    private String examSiteName;

    @ApiModelProperty(value = "考点地址")
    private String examSiteAddress;

    @ApiModelProperty(value = "考场ID")
    private Long examRoomId;

    @ApiModelProperty(value = "考场代码")
    private String examRoomCode;

    @ApiModelProperty(value = "考场名称")
    private String examRoomName;

    @ApiModelProperty(value = "考场地址")
    private String examRoomAddress;

    @ApiModelProperty(value = "科目列表")
    private List<CourseVO> courses;

}
