package com.qmth.exam.reserve.bean.stdapply;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.qmth.exam.reserve.bean.IModel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description 已预约考生的预约详情
 * @Author haoguanghui
 * @date 2024/05/28
 */
@Getter
@Setter
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 44)
@HeadFontStyle(color = 1)
public class StudentApplyExport implements IModel {

    private static final long serialVersionUID = 6970573750958765854L;

    @ExcelProperty(value = "考生姓名")
    private String studentName;

    @ExcelProperty(value = "证件号码")
    private String identityNumber;

    @ExcelProperty(value = "学号")
    private String studentCode;

    @ExcelProperty(value = "教学点代码")
    private String teachingCode;

    @ExcelProperty(value = "教学点名称")
    private String teachingName;

    @ExcelProperty(value = "所预约教学点")
    private String applyTeachingName;

    @ExcelProperty(value = "考点代码")
    private String examSiteCode;

    @ExcelProperty(value = "预约的考点")
    private String examSiteName;

    @ExcelProperty(value = "预约的时段")
    private String timePeriod;

}
