package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;
import com.qmth.exam.reserve.enums.AsyncTaskResult;
import com.qmth.exam.reserve.enums.AsyncTaskStatus;
import com.qmth.exam.reserve.enums.AsyncTaskType;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description 异步任务实体
 */
@Getter
@Setter
@TableName("t_async_task")
public class AsyncTaskEntity extends BaseEntity {

    private static final long serialVersionUID = 3657598700857530277L;

    /**
     * 任务类型
     */
    private AsyncTaskType type;

    /**
     * 执行状态任务状态 INIT：未开始，RUNNING：进行中，FINISH：已完成
     */
    private AsyncTaskStatus status;

    /**
     * 执行摘要
     */
    private String summary;

    /**
     * 执行结果，SUCCESS：成功，ERROR：失败
     */
    private AsyncTaskResult result;

    /**
     * 导入文件名称
     */
    private String importFileName;

    /**
     * 导入文件路径
     */
    private String importFilePath;

    /**
     * 导出文件路径
     */
    private String exportFilePath;

    /**
     * 操作人ID
     */
    private Long operateId;

}
